
Redmine - Patch #20512

Project.copy_from deletes enabled_modules on source

2015-08-11 18:13 - Ondřej Ezr

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 3.0.5   

Description

project#enabled_modules = project.enabled_modules causing troubles, because there are ids copied, therefore rails somehow end

up with updating old enabled_modules to match new project_id, so they are not copied, but transfered.

Associated revisions

Revision 14508 - 2015-08-18 08:46 - Jean-Philippe Lang

Project.copy_from deletes enabled_modules on source (#20512).

Fix by Ondřej Ezr.

Revision 14556 - 2015-09-12 14:48 - Jean-Philippe Lang

Merged r14508 (#20512).

Revision 14557 - 2015-09-12 14:49 - Jean-Philippe Lang

Merged r14508 (#20512).

History

#1 - 2015-08-18 08:47 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.1

Patch committed in r14508 with a test, thanks.

#2 - 2015-09-12 14:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.1.1 to 3.0.5

Files

redmine_copy_project.patch 662 Bytes 2015-08-11 Ondřej Ezr
